<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Game Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classGame-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Game Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Game:</div>
<div class="dyncontent">
<div class="center"><img src="classGame__inherit__graph.png" border="0" usemap="#aGame_inherit__map" alt="Inheritance graph"/></div>
<map name="aGame_inherit__map" id="aGame_inherit__map">
<area shape="rect" title=" " alt="" coords="24,80,85,107"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="5,5,104,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Game:</div>
<div class="dyncontent">
<div class="center"><img src="classGame__coll__graph.png" border="0" usemap="#aGame_coll__map" alt="Collaboration graph"/></div>
<map name="aGame_coll__map" id="aGame_coll__map">
<area shape="rect" title=" " alt="" coords="24,80,85,107"/>
<area shape="rect" href="classSerializable.html" title=" " alt="" coords="5,5,104,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a05b18e296add2fffd0ecefa407e1c0a2"><td class="memItemLeft" align="right" valign="top"><a id="a05b18e296add2fffd0ecefa407e1c0a2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Game</b> (std::vector&lt; <a class="el" href="classPlayer.html">Player</a> * &gt; &amp;players)</td></tr>
<tr class="separator:a05b18e296add2fffd0ecefa407e1c0a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa79443880de5f26387c2a1c70c8c1aae"><td class="memItemLeft" align="right" valign="top"><a id="aa79443880de5f26387c2a1c70c8c1aae"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Game</b> (const <a class="el" href="classGame.html">Game</a> &amp;)</td></tr>
<tr class="separator:aa79443880de5f26387c2a1c70c8c1aae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b10dcc33c62f50a32939aec6bdcf21d"><td class="memItemLeft" align="right" valign="top"><a id="a4b10dcc33c62f50a32939aec6bdcf21d"></a>
<a class="el" href="classPlayerGroup.html">PlayerGroup</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>players</b> ()</td></tr>
<tr class="separator:a4b10dcc33c62f50a32939aec6bdcf21d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792659033954106a22b2399b03fb3f80"><td class="memItemLeft" align="right" valign="top"><a id="a792659033954106a22b2399b03fb3f80"></a>
<a class="el" href="classTrain.html">Train</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>wagons</b> ()</td></tr>
<tr class="separator:a792659033954106a22b2399b03fb3f80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac44ef9b3215d591f5f720f1bec773bb0"><td class="memItemLeft" align="right" valign="top"><a id="ac44ef9b3215d591f5f720f1bec773bb0"></a>
<a class="el" href="classRoundCardDeck.html">RoundCardDeck</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>rounds</b> ()</td></tr>
<tr class="separator:ac44ef9b3215d591f5f720f1bec773bb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a178349f2401f3bbd36771d8a03a7ac63"><td class="memItemLeft" align="right" valign="top"><a id="a178349f2401f3bbd36771d8a03a7ac63"></a>
std::vector&lt; <a class="el" href="classNeutralBullet.html">NeutralBullet</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>neutralBulletDeck</b> () const</td></tr>
<tr class="separator:a178349f2401f3bbd36771d8a03a7ac63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed994a2cfa89470960187dd81838c765"><td class="memItemLeft" align="right" valign="top"><a id="aed994a2cfa89470960187dd81838c765"></a>
const <a class="el" href="classTreasureChest.html">TreasureChest</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>unusedTreasure</b> () const</td></tr>
<tr class="separator:aed994a2cfa89470960187dd81838c765"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7fab23ec6daa5db4207d20cae87fb2f"><td class="memItemLeft" align="right" valign="top"><a id="ac7fab23ec6daa5db4207d20cae87fb2f"></a>
BanditType&#160;</td><td class="memItemRight" valign="bottom"><b>mostBulletsShot</b> () const</td></tr>
<tr class="separator:ac7fab23ec6daa5db4207d20cae87fb2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a6dd219f2d2e635bdbc411d6f71466"><td class="memItemLeft" align="right" valign="top"><a id="ae0a6dd219f2d2e635bdbc411d6f71466"></a>
BanditType&#160;</td><td class="memItemRight" valign="bottom"><b>richestPlayer</b> () const</td></tr>
<tr class="separator:ae0a6dd219f2d2e635bdbc411d6f71466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a754cb1e5398e3996cf7873e0d708aade"><td class="memItemLeft" align="right" valign="top"><a id="a754cb1e5398e3996cf7873e0d708aade"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>sheriffPosition</b> () const</td></tr>
<tr class="separator:a754cb1e5398e3996cf7873e0d708aade"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6ac33c3c11749dbc1aefdc9cfa43cfa"><td class="memItemLeft" align="right" valign="top"><a id="ae6ac33c3c11749dbc1aefdc9cfa43cfa"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>getIndexOfPlayerToMove</b> () const</td></tr>
<tr class="separator:ae6ac33c3c11749dbc1aefdc9cfa43cfa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2701da6fcef533856282e68028232b36"><td class="memItemLeft" align="right" valign="top"><a id="a2701da6fcef533856282e68028232b36"></a>
<a class="el" href="classDeck.html">Deck</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>getCardsPlayed</b> ()</td></tr>
<tr class="separator:a2701da6fcef533856282e68028232b36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf7a97a84d721719823f451c7be6475d"><td class="memItemLeft" align="right" valign="top"><a id="acf7a97a84d721719823f451c7be6475d"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>indexOfRound</b> () const</td></tr>
<tr class="separator:acf7a97a84d721719823f451c7be6475d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cf11e884c9d4e7ad2344c516fe28f5b"><td class="memItemLeft" align="right" valign="top"><a id="a9cf11e884c9d4e7ad2344c516fe28f5b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>indexOfMiniround</b> () const</td></tr>
<tr class="separator:a9cf11e884c9d4e7ad2344c516fe28f5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fcf46493a5de35a926d9e88822af72c"><td class="memItemLeft" align="right" valign="top"><a id="a9fcf46493a5de35a926d9e88822af72c"></a>
Phase&#160;</td><td class="memItemRight" valign="bottom"><b>phase</b> () const</td></tr>
<tr class="separator:a9fcf46493a5de35a926d9e88822af72c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aedf324b441e769eb33993a750d73cc81"><td class="memItemLeft" align="right" valign="top"><a id="aedf324b441e769eb33993a750d73cc81"></a>
ActionType&#160;</td><td class="memItemRight" valign="bottom"><b>currentAction</b> () const</td></tr>
<tr class="separator:aedf324b441e769eb33993a750d73cc81"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a502b132bd78b8a89330304728a14ac8b"><td class="memItemLeft" align="right" valign="top"><a id="a502b132bd78b8a89330304728a14ac8b"></a>
<a class="el" href="classDialogueBox.html">DialogueBox</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>dialogueBox</b> () const</td></tr>
<tr class="separator:a502b132bd78b8a89330304728a14ac8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35a6c890a98f5fe0fae051b01495cf08"><td class="memItemLeft" align="right" valign="top"><a id="a35a6c890a98f5fe0fae051b01495cf08"></a>
const unsigned &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>seed</b> () const</td></tr>
<tr class="separator:a35a6c890a98f5fe0fae051b01495cf08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a728c09d88fd24f90bdfa77f9c65dbdc4"><td class="memItemLeft" align="right" valign="top"><a id="a728c09d88fd24f90bdfa77f9c65dbdc4"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>actionPending</b> () const</td></tr>
<tr class="separator:a728c09d88fd24f90bdfa77f9c65dbdc4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a323352cd1856e29e6980d2a10fcb0502"><td class="memItemLeft" align="right" valign="top"><a id="a323352cd1856e29e6980d2a10fcb0502"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setWagons</b> (<a class="el" href="classTrain.html">Train</a> *newWagons)</td></tr>
<tr class="separator:a323352cd1856e29e6980d2a10fcb0502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d875629325ec2acf2b3270b3f1f87af"><td class="memItemLeft" align="right" valign="top"><a id="a1d875629325ec2acf2b3270b3f1f87af"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setRounds</b> (std::vector&lt; <a class="el" href="classRoundCard.html">RoundCard</a> * &gt; &amp;newRounds)</td></tr>
<tr class="separator:a1d875629325ec2acf2b3270b3f1f87af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a59b0b19bf6a8ff7a2638eaa31a1640"><td class="memItemLeft" align="right" valign="top"><a id="a0a59b0b19bf6a8ff7a2638eaa31a1640"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNeutralBulletDeck</b> (const std::vector&lt; <a class="el" href="classNeutralBullet.html">NeutralBullet</a> * &gt; &amp;newNeutralBulletDeck)</td></tr>
<tr class="separator:a0a59b0b19bf6a8ff7a2638eaa31a1640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73dd96c8128dbc8f7284ec716509391d"><td class="memItemLeft" align="right" valign="top"><a id="a73dd96c8128dbc8f7284ec716509391d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setMostBulletsShot</b> (BanditType newMostBulletsShot)</td></tr>
<tr class="separator:a73dd96c8128dbc8f7284ec716509391d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf504d0baf2df60487dc6a83d17e0cf0"><td class="memItemLeft" align="right" valign="top"><a id="aaf504d0baf2df60487dc6a83d17e0cf0"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setRichestPlayer</b> (BanditType newRichestPlayer)</td></tr>
<tr class="separator:aaf504d0baf2df60487dc6a83d17e0cf0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad0d2a3dee36b27b094965c26235276a4"><td class="memItemLeft" align="right" valign="top"><a id="ad0d2a3dee36b27b094965c26235276a4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setSeriffPosition</b> (unsigned newSheriffPosition)</td></tr>
<tr class="separator:ad0d2a3dee36b27b094965c26235276a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6bd48ccc86881ee70cc2b139a98a60ac"><td class="memItemLeft" align="right" valign="top"><a id="a6bd48ccc86881ee70cc2b139a98a60ac"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setIndexOfPlayerToMove</b> (int)</td></tr>
<tr class="separator:a6bd48ccc86881ee70cc2b139a98a60ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4efe6330d6a1667c63a95360f2442b2"><td class="memItemLeft" align="right" valign="top"><a id="aa4efe6330d6a1667c63a95360f2442b2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setCardsPlayed</b> (<a class="el" href="classDeck.html">Deck</a> *newCardsPlayed)</td></tr>
<tr class="separator:aa4efe6330d6a1667c63a95360f2442b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73008ef77352a249fe6872ef8e6e0fe3"><td class="memItemLeft" align="right" valign="top"><a id="a73008ef77352a249fe6872ef8e6e0fe3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setIndexOfRound</b> (int newIndexOfRound)</td></tr>
<tr class="separator:a73008ef77352a249fe6872ef8e6e0fe3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fe4e49b83fe4a36f31d33a1b66e05f6"><td class="memItemLeft" align="right" valign="top"><a id="a7fe4e49b83fe4a36f31d33a1b66e05f6"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setIndexOfMiniround</b> (int newIndexOfMiniround)</td></tr>
<tr class="separator:a7fe4e49b83fe4a36f31d33a1b66e05f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa03fdc57b0aaf7d0f15359d3cd1e937"><td class="memItemLeft" align="right" valign="top"><a id="aaa03fdc57b0aaf7d0f15359d3cd1e937"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPhase</b> (Phase newPhase)</td></tr>
<tr class="separator:aaa03fdc57b0aaf7d0f15359d3cd1e937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab308004741c2908ceaf85d0edd5310ba"><td class="memItemLeft" align="right" valign="top"><a id="ab308004741c2908ceaf85d0edd5310ba"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setCurrentAction</b> (ActionType newCurrentAction)</td></tr>
<tr class="separator:ab308004741c2908ceaf85d0edd5310ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9db9b54ba8fb4a3551b60bc237f9094f"><td class="memItemLeft" align="right" valign="top"><a id="a9db9b54ba8fb4a3551b60bc237f9094f"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setDialogueBox</b> (<a class="el" href="classDialogueBox.html">DialogueBox</a> *newDialogueBox)</td></tr>
<tr class="separator:a9db9b54ba8fb4a3551b60bc237f9094f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a70a790ed0c91e554b63b6894e7f6c0f5"><td class="memItemLeft" align="right" valign="top"><a id="a70a790ed0c91e554b63b6894e7f6c0f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setActionPending</b> (bool newActionPending)</td></tr>
<tr class="separator:a70a790ed0c91e554b63b6894e7f6c0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9cd88a3344673bb0fdd9c480f4f7ff34"><td class="memItemLeft" align="right" valign="top"><a id="a9cd88a3344673bb0fdd9c480f4f7ff34"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setSeed</b> (const unsigned &amp;newSeed)</td></tr>
<tr class="separator:a9cd88a3344673bb0fdd9c480f4f7ff34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0dab537d0e5734bf109158ae044a23"><td class="memItemLeft" align="right" valign="top"><a id="a8f0dab537d0e5734bf109158ae044a23"></a>
std::vector&lt; <a class="el" href="classRoundCard.html">RoundCard</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>selectRoundCards</b> (RoundCardType cardType, std::vector&lt; <a class="el" href="classRoundCard.html">RoundCard</a> * &gt; &amp;allRoundCards) const</td></tr>
<tr class="separator:a8f0dab537d0e5734bf109158ae044a23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d451087910645fd27edd43be14bf8bf"><td class="memItemLeft" align="right" valign="top"><a id="a2d451087910645fd27edd43be14bf8bf"></a>
<a class="el" href="classRoundCard.html">RoundCard</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>selectOneTrainStationCard</b> (std::vector&lt; <a class="el" href="classRoundCard.html">RoundCard</a> * &gt; &amp;allRoundCards)</td></tr>
<tr class="separator:a2d451087910645fd27edd43be14bf8bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed2c46a4da51eae30ff231f729ab636f"><td class="memItemLeft" align="right" valign="top"><a id="aed2c46a4da51eae30ff231f729ab636f"></a>
std::vector&lt; <a class="el" href="classNeutralBullet.html">NeutralBullet</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>generateNeutralBullets</b> (unsigned numberOfNeutralBullets) const</td></tr>
<tr class="separator:aed2c46a4da51eae30ff231f729ab636f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad35ed1f4f0fbfa9435f3f663191ca8a0"><td class="memItemLeft" align="right" valign="top"><a id="ad35ed1f4f0fbfa9435f3f663191ca8a0"></a>
<a class="el" href="classTrain.html">Train</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>selectWagons</b> (std::vector&lt; <a class="el" href="classWagon.html">Wagon</a> * &gt; allPossibleWagons, unsigned numberOfPlayers) const</td></tr>
<tr class="separator:ad35ed1f4f0fbfa9435f3f663191ca8a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14073b7ee15e3a60b72112519be85453"><td class="memItemLeft" align="right" valign="top"><a id="a14073b7ee15e3a60b72112519be85453"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>initialize</b> ()</td></tr>
<tr class="separator:a14073b7ee15e3a60b72112519be85453"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe464c79e4e66b222e912a6e3b6aa1d8"><td class="memItemLeft" align="right" valign="top"><a id="abe464c79e4e66b222e912a6e3b6aa1d8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setNextPlayerToMove</b> ()</td></tr>
<tr class="separator:abe464c79e4e66b222e912a6e3b6aa1d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5d96f0c6d80d2dc4033c0060e95f160"><td class="memItemLeft" align="right" valign="top"><a id="ad5d96f0c6d80d2dc4033c0060e95f160"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>allPlayersDrawCards</b> (int n)</td></tr>
<tr class="separator:ad5d96f0c6d80d2dc4033c0060e95f160"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35abe0584cdc05c9f1dc653a6588f1f5"><td class="memItemLeft" align="right" valign="top"><a id="a35abe0584cdc05c9f1dc653a6588f1f5"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>shuffleDecks</b> () const</td></tr>
<tr class="separator:a35abe0584cdc05c9f1dc653a6588f1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4671d16be43fe99ecf8c3dd754eea290"><td class="memItemLeft" align="right" valign="top"><a id="a4671d16be43fe99ecf8c3dd754eea290"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>selectBanditPositions</b> ()</td></tr>
<tr class="separator:a4671d16be43fe99ecf8c3dd754eea290"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a749426ce78bf4a905f5fdee49692b5d3"><td class="memItemLeft" align="right" valign="top"><a id="a749426ce78bf4a905f5fdee49692b5d3"></a>
unsigned&#160;</td><td class="memItemRight" valign="bottom"><b>findPlayerById</b> (BanditType)</td></tr>
<tr class="separator:a749426ce78bf4a905f5fdee49692b5d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5893c438842dc43e219f2f8b58d040d"><td class="memItemLeft" align="right" valign="top"><a id="ad5893c438842dc43e219f2f8b58d040d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>checkNextActionCard</b> ()</td></tr>
<tr class="separator:ad5893c438842dc43e219f2f8b58d040d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4edf5ee31b8714105dd9c9ebfe00b1ae"><td class="memItemLeft" align="right" valign="top"><a id="a4edf5ee31b8714105dd9c9ebfe00b1ae"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>updateRounds</b> ()</td></tr>
<tr class="separator:a4edf5ee31b8714105dd9c9ebfe00b1ae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1d4c476e1c863c4f62f2904a0adbc16"><td class="memItemLeft" align="right" valign="top"><a id="ae1d4c476e1c863c4f62f2904a0adbc16"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>showEndGameStats</b> ()</td></tr>
<tr class="separator:ae1d4c476e1c863c4f62f2904a0adbc16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dffa8375566c3303af92f33ab9b9376"><td class="memItemLeft" align="right" valign="top"><a id="a3dffa8375566c3303af92f33ab9b9376"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>findPlayersTreasureIndex</b> (<a class="el" href="classTreasure.html">Treasure</a> *, unsigned)</td></tr>
<tr class="separator:a3dffa8375566c3303af92f33ab9b9376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeeda825d01bbabd433069adfb95f3174"><td class="memItemLeft" align="right" valign="top"><a id="aeeda825d01bbabd433069adfb95f3174"></a>
std::vector&lt; <a class="el" href="classPlayer.html">Player</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>possiblePlayersToShot</b> (int playerIndex)</td></tr>
<tr class="separator:aeeda825d01bbabd433069adfb95f3174"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a80c79d35ec0b4b14859884dd80b1733c"><td class="memItemLeft" align="right" valign="top"><a id="a80c79d35ec0b4b14859884dd80b1733c"></a>
std::vector&lt; <a class="el" href="classPlayer.html">Player</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>possiblePlayersToPunch</b> (int playerIndex)</td></tr>
<tr class="separator:a80c79d35ec0b4b14859884dd80b1733c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4454ba82e3df3485dd48a7ffe5734868"><td class="memItemLeft" align="right" valign="top"><a id="a4454ba82e3df3485dd48a7ffe5734868"></a>
std::vector&lt; <a class="el" href="classTreasure.html">Treasure</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>possibleTreasure</b> (int playerIndex)</td></tr>
<tr class="separator:a4454ba82e3df3485dd48a7ffe5734868"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d7a78b165c5ada2dcc1560d04d469a0"><td class="memItemLeft" align="right" valign="top"><a id="a4d7a78b165c5ada2dcc1560d04d469a0"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>actionChangeWagon</b> (int wagonIndex)</td></tr>
<tr class="separator:a4d7a78b165c5ada2dcc1560d04d469a0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dd8331b0e8060cdc0a3df15316884e8"><td class="memItemLeft" align="right" valign="top"><a id="a3dd8331b0e8060cdc0a3df15316884e8"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionFloorChange</b> ()</td></tr>
<tr class="separator:a3dd8331b0e8060cdc0a3df15316884e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a35043b9c4134a7394c0d80cada456"><td class="memItemLeft" align="right" valign="top"><a id="a30a35043b9c4134a7394c0d80cada456"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>actionSheriffMove</b> (<a class="el" href="classWagon.html">Wagon</a> *w)</td></tr>
<tr class="separator:a30a35043b9c4134a7394c0d80cada456"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f7beb9bd33cfa5a969e32a2b16d37"><td class="memItemLeft" align="right" valign="top"><a id="a074f7beb9bd33cfa5a969e32a2b16d37"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>actionFire</b> (int playerIndex)</td></tr>
<tr class="separator:a074f7beb9bd33cfa5a969e32a2b16d37"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a42e31caeb94a57e23554f25735470504"><td class="memItemLeft" align="right" valign="top"><a id="a42e31caeb94a57e23554f25735470504"></a>
std::pair&lt; <a class="el" href="classWagon.html">Wagon</a> *, <a class="el" href="classTreasure.html">Treasure</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>actionRobbery</b> (int treasureIndex, int wagonIndex)</td></tr>
<tr class="separator:a42e31caeb94a57e23554f25735470504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5567dabb57126f33d7e521f4953bb639"><td class="memItemLeft" align="right" valign="top"><a id="a5567dabb57126f33d7e521f4953bb639"></a>
std::pair&lt; <a class="el" href="classWagon.html">Wagon</a> *, <a class="el" href="classTreasure.html">Treasure</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>actionPunch</b> (int treasureIndex, int wagonIndex, int playerIndex)</td></tr>
<tr class="separator:a5567dabb57126f33d7e521f4953bb639"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8a6d69c7a70c5e3947f4459a30cef35"><td class="memItemLeft" align="right" valign="top"><a id="aa8a6d69c7a70c5e3947f4459a30cef35"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>playerClicked</b> () const</td></tr>
<tr class="separator:aa8a6d69c7a70c5e3947f4459a30cef35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d12e23b8a6943da0be47dd4a6759470"><td class="memItemLeft" align="right" valign="top"><a id="a4d12e23b8a6943da0be47dd4a6759470"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>setPlayerClicked</b> (int newPlayerClicked)</td></tr>
<tr class="separator:a4d12e23b8a6943da0be47dd4a6759470"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a324fcdd28f3f59d74fe481d6440b6b05"><td class="memItemLeft" align="right" valign="top"><a id="a324fcdd28f3f59d74fe481d6440b6b05"></a>
QVariant&#160;</td><td class="memItemRight" valign="bottom"><b>toVariant</b> () const</td></tr>
<tr class="separator:a324fcdd28f3f59d74fe481d6440b6b05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8699517a216f0d178ed3668eb607ef3"><td class="memItemLeft" align="right" valign="top"><a id="aa8699517a216f0d178ed3668eb607ef3"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>fromVariant</b> (const QVariant &amp;variant)</td></tr>
<tr class="separator:aa8699517a216f0d178ed3668eb607ef3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="game_8h_source.html">game.h</a></li>
<li>src/game.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
